Holger's Java API

## com.antelmann.util.gui
Interface MouseBoundsListener.Snapper

Enclosing class:
  MouseBoundsListener

    public static interface MouseBoundsListener.Snapper

Method Summary
`Rectangle` `snapTo(MouseBoundsListener mbl, Rectangle bounds, boolean isEndPositionOnRelease)` returns the bounds to where the given bounds should snap to.

Method Detail

### snapTo

    Rectangle snapTo(MouseBoundsListener mbl,
                     Rectangle bounds,
                     boolean isEndPositionOnRelease)

  returns the bounds to where the given bounds should snap to. This method is called during `mouseReleased(MouseEvent)`. If the component is to be falling back to the original bounds before dragging, this method can simply return the dragging origin. if the MouseBoundsListener is set for non-continuous snapping, the parameter `isEndPositionOnRelease` would always be true on calling this method. If the parameter is false, it indicates that the mouse has not yet been released and that we are in continuous snapping mode.

  See Also:
    `MouseBoundsListener.isContinuousSnapping()`, `MouseBoundsListener.getDragOrigin()`, `MouseBoundsListener.mouseReleased(MouseEvent)`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads